<p align="center"><a href="https://nodei.co/npm/discord-bot-maker/"><img src="https://nodei.co/npm/discord-bot-maker.png"></a></p>

# discord-bot-maker
An extremely simple module that performs basic commands.
Support server: https://discord.gg/7fcGWS5FnR

## Installation
```
npm install discord.js
```
```
npm install discord-bot-maker
``` 

Once you've done this, setting the module will be very easy.
And you can follow the code below to get started!

## Commands and Messages
```js
const token = 'YOUR TOKEN';
const {ready, welcome, purge, kick, ban, status, say, mute} = require("discord-bot-maker");
const Discord = require("discord.js");
const bot = new Discord.Client({ intents: ["GUILDS", "GUILD_MESSAGES", "GUILD_MEMBERS"] })

ready(bot, {
  readymsg : "Ready Message"
});

welcome(bot, {
  privatemsg : "Private Message", 
  publicmsg : "Public Message", //@GUILDNAME @MEMBER
  publicchannelid : "123456789123456789" //CHANNEL ID
});

purge(bot, {
  prefix:"!",
  purgecommand: "purge",
  errormsg: "Error Message",
  nopermmsg: "No Permission Message",
});

kick(bot, {
  prefix:"!",
  kickcommand: "kick",
  nopermmsg: "No Permission Message",
  mentionerrormsg: "Mention Error",
  higherroleerrormsg: "Higher Role Error",
  defaultreason: "Default Reason",
  kickmsg: "@KICKAUTHOR @KICKEDUSER @REASON" //@KICKAUTHOR @KICKEDUSER @REASON
});

ban(bot, {
  prefix:"!",
  bancommand: "ban",
  nopermmsg: "No Permission Message",
  mentionerrormsg: "Mention Error",
  higherroleerrormsg: "Higher Role Error",
  defaultreason: "Default Reason",
  banmsg: "Ban Message" //@BANAUTHOR @BANNEDUSER @REASON
});

status(bot, {
  type: "PLAYING", //PLAYING, WATCHING, STREAMING
  title: "Title"
});

say(bot, {
  prefix:"!",
  nopermmsg: "No Permission Message"
});

mute(bot, {
  prefix:"!",
  nopermmsg: "No Permission Message",
  mentionerrormsg: "Mention Error",
  alreadyhasrole: "Already Has Role Error",
  roleid: "123456789123456789", //SECONDARY ROLE ID*
  defaultreason: "Default Reason",
  mutemsg: "Mute Message" //@MUTEDUSER, @MUTEAUTHOR, @REASON
});

bot.login(token)
```

*

##Author:
freezy

Discord: freezy#0001
E-mail: bruno@freezy.studio